Bug 106087 - firsttime not able to access additional CDROMs
firsttime not able to access additional CDROMs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-02 13:22 EDT by Bryan Headley
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-06 16:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Headley 2003-10-02 13:22:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030930
Debian/1.4-5

Description of problem:
firsttime is not able to install software from Additional CD's. Nor from Redhat
Installation discs, nor from Documentation discs.

Why?

Because it's trying to mount /dev/cdrom, which is not properly set up to mount.
The IDE CD-ROM is using the scsi-ide module, so what
you really want to do is mount /dev/scd0. This should help:

--- firstboot-1.2.1/src/modules/additional_cds.py       2003-09-22
13:42:49.000000000 -0500
+++ firstboot-1.2.1/src/modules/additional_cds.py.new   2003-10-02
12:21:52.000000000 -0500
@@ -95,17 +95,21 @@
                 diskutil.mount('/dev/cdrom', '/mnt/cdrom', fstype="iso9660",
readOnly = 1)
                 mountFlag = 1
             except:
-                dlg = gtk.MessageDialog(None, 0, gtk.MESSAGE_ERROR,
gtk.BUTTONS_NONE,
+                try:
+                    diskutil.mount('/dev/scd0', '/mnt/cdrom', fstype="iso9660",
readOnly = 1)
+                    mountFlag = 1
+                except:
+                    dlg = gtk.MessageDialog(None, 0, gtk.MESSAGE_ERROR,
gtk.BUTTONS_NONE,
                                         (_("A CD-ROM has not been detected. 
Please insert "
                                            "a CD-ROM in the drive and click
\"OK\" to continue.")))
-                dlg.set_position(gtk.WIN_POS_CENTER)
-                dlg.set_modal(gtk.TRUE)
-                cancelButton = dlg.add_button('gtk-cancel', 0)
-                okButton = dlg.add_button('gtk-ok', 1)
-                rc = dlg.run()
-                dlg.destroy()
-                
-                if rc == 0:
+                    dlg.set_position(gtk.WIN_POS_CENTER)
+                    dlg.set_modal(gtk.TRUE)
+                    cancelButton = dlg.add_button('gtk-cancel', 0)
+                    okButton = dlg.add_button('gtk-ok', 1)
+                    rc = dlg.run()
+                    dlg.destroy()
+                    
+                    if rc == 0:
                     #Be sure to remove the focus grab if we have to return here.
                     #Otherwise, the user is stuck
                     i.grab_remove ()


Version-Release number of selected component (if applicable):
Fedora Severn Beta 1,2

How reproducible:
Always

Steps to Reproduce:
1. Install Severn Beta 1
2. Boot sucker up
3. Try to install something thru 'Additional CDs'
    

Actual Results:  Constantly bitches about not being able to recognize CD.
Actually, it's not able to mount the CD.

Expected Results:  Mount should occur, autorun should be found, things should
work :-)

Additional info:

I don't know where else a CDROM could potentially be mounted to.
Is there a firewire CD, for example? USB? Need a list of common
mountpoints, and cycle through the list...

You might even argue that /dev/cdrom should be a softlink to /dev/scd0.
Comment 1 Bill Nottingham 2003-10-02 15:59:55 EDT
In fact, it already should be. What *is* it pointing to?
Comment 2 David Balažic 2003-10-24 09:45:31 EDT
I have the same problem with fedora test3
I have 3 cd drives :
 - hda ( CD-RW with scsi emulation )
 - hdc
 - hdd

Whenever I clicked on the "Instal..." button an error dialog popped up saying:
The autorun program cannot(*) be found on the cd.

I had fedora test3 cd2 in hdc and cd2 in hdd, nothing in hda.

* - shouldn't that be "can not", with a space in between ?
Comment 3 David Balažic 2003-10-24 09:46:36 EDT
I had cd3 in hdd , not another copy of cd2 :-)
Comment 4 M Jang 2004-02-10 22:00:31 EST
Also occurs with Red Hat Enterprise Linux 3, during the installation 
process. However, it's OK when firstboot is run after RHEL 3 is 
installed.
Comment 5 Jeremy Katz 2005-07-06 16:45:54 EDT
This is handled better now

Note You need to log in before you can comment on or make changes to this bug.